//
//  ECellDeviceInfoModel.h
//  ECellBluetooth_Example
//
//  Created by lemo. on 2019/5/28.
//  Copyright © 2019 chentingfeng. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface ECellDeviceInfoModel : NSObject

/// 设备名称 | deviceName
@property (nullable,nonatomic,copy) NSString *deviceName;
/// 适配号 | adapterNumber
@property (nonatomic,assign) NSInteger adapterNumber;
/// 固件版本 | firmwareVersion
@property (nonatomic,copy) NSString *firmwareVersion;
/// 平台 | platform
@property (nonatomic,assign) NSInteger platform;
/// 协议版本 | protocol version
@property (nonatomic,assign) NSInteger protocolVersion;
/// MAC地址 | MAC address
@property (nullable,nonatomic,copy) NSString *macAddress;
/// UUID | UUID
@property (nullable,nonatomic,copy) NSString *uuidStr;
/// Cmd
@property (nonatomic,assign) NSInteger cmd;

/**
 * @brief 查询本地已连接设备信息，查询不到初始化新的对象 | Query local connected device information, query not to initialize new object
 * @return ECellDeviceInfoModel
 */
+ (__kindof ECellDeviceInfoModel *)currentModel;

@end

NS_ASSUME_NONNULL_END
