//
//  ECellBLEEnum.h
//  ECellBluetooth
//
//  Created by lemo. on 2019/5/15.
//  Copyright © 2019 chentingfeng. All rights reserved.
//

#ifndef Enum_h
#define Enum_h

/**
 * 蓝牙管理状态枚举
 * Bluetooth management status enumeration
 */
typedef NS_ENUM(NSInteger, ECell_BLE_MANAGER_STATE) {
    /**
     * 蓝牙关闭
     * Bluetooth off
     */
    ECell_BLE_MANAGER_STATE_POWEREDOFF = 1,

    /**
     * 蓝牙打开
     * Bluetooth open
     */
    ECell_BLE_MANAGER_STATE_POWEREDON,
};

/**
 * 蓝牙发送指令错误类型枚举
 * Bluetooth send command error type enumeration
 */
typedef NS_ENUM(NSInteger, ECell_BLE_COMMAND_ERROR_TYPE) {
    /**
     * 指令发送成功
     * The command was sent successfully.
     */
    ECell_BLE_COMMAND_SUCCESS_TYPE = 1,
    
    /**
     * 外设未连接
     * Bluetooth Not connected
     */
    ECell_BLE_COMMAND_NOT_CONNECTED_TYPE,
    
    /**
     * 指令超时
     * Instruction timeout
     */
    ECell_BLE_COMMAND_TIME_OUT_TYPE,
};


/**
 * 蓝牙解析指令错误类型枚举
 * Bluetooth send command error type enumeration
 */
typedef NS_ENUM(NSInteger, ECell_BLE_COMMAND_PARSE_ERROR_TYPE) {
    /**
     * 指令解析成功
     * The command was sent successfully.
     */
    ECell_BLE_COMMAND_PARSE_SUCCESS_TYPE = 1,
    
    /**
     * 指令解析失败
     * Bluetooth Not connected
     */
    ECell_BLE_COMMAND_PARSE_FAIL_TYPE,
    
    /**
     * 指令还有下一个包
     * Instruction timeout
     */
    ECell_BLE_COMMAND_PARSE_NEXT_TYPE,
};

/**
 * 设备主动上报蓝牙数据
 * The device actively reports bluetooth data
 */
typedef NS_ENUM(NSInteger, ECell_BLE_REPORT_COMMAND) {
    ECell_BLE_REPORT_COMMAND_realStep = 1,
    ECell_BLE_REPORT_COMMAND_realHeartRate,
    ECell_BLE_REPORT_COMMAND_realBloodPressure,
    ECell_BLE_REPORT_COMMAND_realBloodOxyge,
    ECell_BLE_REPORT_COMMAND_cameraControl,
    ECell_BLE_REPORT_COMMAND_findPhone,
    ECell_BLE_REPORT_COMMAND_realSport,
};

#endif /* Enum_h */
