//
//  ECellBLEItem.m
//  ECellBluetooth_Example
//
//  Created by lemo. on 2019/5/21.
//  Copyright © 2019 chentingfeng. All rights reserved.
//

#import "ECellBLEItem.h"

@implementation ECellBLEItem

/// 构建一个蓝牙请求体
/// @param byteBuffer 数据
/// @param cmd 指令码
/// @param cmdKey 指令KEY
/// @param sid 序号
/// @param result 回调结果
- (instancetype)initWithbyteBuffer:(nullable NSMutableData *)byteBuffer
                               cmd:(ECell_BLECMD)cmd
                            cmdKey:(ECell_BLECMD_KEY)cmdKey
                               sid:(NSInteger)sid
                       resultBlock:(nonnull ResultBlock)result {
    self = [super self];
    if (self) {
        self.byteBuffer = byteBuffer;
        self.cmd = cmd;
        self.cmdKey = cmdKey;
        self.sid = sid;
        self.result = result;
    }
    return self;
}

/**
 16进制转10进制数字 (无符号)
 
 @param data data
 @return 十进制数据
 */
- (NSInteger)HexToUnsignedInt:(NSData *)data {
    NSUInteger value = (*(NSUInteger*)([data bytes]));
    return value;
}

@end
